"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CONSTANTS = exports.IMAGE_DIR = exports.IMAGE_ASSOC_DIR = exports.IMAGE_ASSOC_JSONL_FILENAME = exports.IMAGE_ASSOC_FILENAME = exports.GZIP_AWS_COMPRESS_EXTENSION = exports.LOADER_SPEC_PRODASSOC = exports.LOADER_SPEC_INVENTORY = exports.LOADER_SPEC_PRICE = exports.LOADER_SPEC_PRODUCT = exports.LOADER_SPEC_NODE = exports.JSON_SOURCE_PRODASSOC_DIR = exports.JSON_SOURCE_INVENTORY_DIR = exports.JSON_SOURCE_PRICE_DIR = exports.JSON_SOURCE_NODE_DIR = exports.JSON_SOURCE_PRODUCT_DIR = exports.JSON_SOURCE_VARIATIONS_DIR = exports.JSON_SOURCE_PRICEBOOKS_DIR = exports.JSON_SOURCE_HIERARCHIES_DIR = exports.JSON_SOURCE_CURRENCIES_DIR = exports.JSON_SOURCE_FLOWENTRIES_DIR = exports.JSON_SOURCE_CATALOG_RULES_DIR = exports.JSON_SOURCE_FLOWS_DIR = exports.JSON_SOURCE_CATALOGS_DIR = exports.JSON_SOURCE_INTEGRATIONS_DIR = exports.CONFIG_MERGE_FILE = exports.CONFIG_MERGE_DIR = exports.CONFIG_DEST_FILE = exports.CONFIG_IMAGEASSOC_DEST = exports.CONFIG_PRODASSOC_DEST = exports.CONFIG_INVENTORY_DEST = exports.CONFIG_PRICES_DEST = exports.CONFIG_NODES_DEST = exports.CONFIG_PRODUCTS_DEST = exports.CONFIG_VARIATIONS_DEST = exports.CONFIG_PRICEBOOKS_DEST = exports.CONFIG_HIERARCHIES_DEST = exports.CONFIG_FLOW_ENTRIES_DEST = exports.CONFIG_FLOWS_DEST = exports.CONFIG_CATALOG_RULES_DEST = exports.CONFIG_CATALOGS_DEST = exports.CONFIG_CURRENCIES_DEST = exports.CONFIG_INTEGRATION_DEST = exports.STORE_CONFIG_SOURCE = exports.DATA_DIR = exports.BUILD_DIR = exports.STORE_CONFIG = void 0;
const path_1 = __importDefault(require("path"));
if (!process.env.EPCC_ENV) {
    console.error("environment variable EPCC_ENV is not set!");
}
exports.STORE_CONFIG = 'store.config.json';
exports.BUILD_DIR = path_1.default.join('build', process.env.EPCC_ENV);
exports.DATA_DIR = path_1.default.join('data', process.env.EPCC_ENV);
exports.STORE_CONFIG_SOURCE = path_1.default.join(exports.DATA_DIR, 'store', exports.STORE_CONFIG);
exports.CONFIG_INTEGRATION_DEST = path_1.default.join(exports.BUILD_DIR, 'config_common_integrations.json');
exports.CONFIG_CURRENCIES_DEST = path_1.default.join(exports.BUILD_DIR, 'config_common_currencies.json');
exports.CONFIG_CATALOGS_DEST = path_1.default.join(exports.BUILD_DIR, 'config_common_catalogs.json');
exports.CONFIG_CATALOG_RULES_DEST = path_1.default.join(exports.BUILD_DIR, 'config_common_catalog_rules.json');
exports.CONFIG_FLOWS_DEST = path_1.default.join(exports.BUILD_DIR, 'config_common_flows.json');
exports.CONFIG_FLOW_ENTRIES_DEST = path_1.default.join(exports.BUILD_DIR, 'config_common_flow_entries.json');
exports.CONFIG_HIERARCHIES_DEST = path_1.default.join(exports.BUILD_DIR, 'config_common_hierarchies.json');
exports.CONFIG_PRICEBOOKS_DEST = path_1.default.join(exports.BUILD_DIR, 'config_common_pricebooks.json');
exports.CONFIG_VARIATIONS_DEST = path_1.default.join(exports.BUILD_DIR, 'config_common_variations.json');
exports.CONFIG_PRODUCTS_DEST = path_1.default.join(exports.BUILD_DIR, 'products.json');
exports.CONFIG_NODES_DEST = path_1.default.join(exports.BUILD_DIR, 'nodes.json');
exports.CONFIG_PRICES_DEST = path_1.default.join(exports.BUILD_DIR, 'prices.json');
exports.CONFIG_INVENTORY_DEST = path_1.default.join(exports.BUILD_DIR, 'inventory.json');
exports.CONFIG_PRODASSOC_DEST = path_1.default.join(exports.BUILD_DIR, 'prod-assoc.json');
exports.CONFIG_IMAGEASSOC_DEST = path_1.default.join(exports.BUILD_DIR, 'image-assoc.json');
exports.CONFIG_DEST_FILE = path_1.default.join(exports.BUILD_DIR, exports.STORE_CONFIG);
exports.CONFIG_MERGE_DIR = path_1.default.join(exports.BUILD_DIR, 'merge');
exports.CONFIG_MERGE_FILE = path_1.default.join(exports.CONFIG_MERGE_DIR, exports.STORE_CONFIG);
exports.JSON_SOURCE_INTEGRATIONS_DIR = path_1.default.join("store", "common", "integrations");
exports.JSON_SOURCE_CATALOGS_DIR = path_1.default.join("store", "common", "catalogs");
exports.JSON_SOURCE_FLOWS_DIR = path_1.default.join("store", "common", "flows");
exports.JSON_SOURCE_CATALOG_RULES_DIR = path_1.default.join("store", "common", "catalogRules");
exports.JSON_SOURCE_FLOWENTRIES_DIR = path_1.default.join("store", "common", "flowEntries");
exports.JSON_SOURCE_CURRENCIES_DIR = path_1.default.join("store", "common", "currencies");
exports.JSON_SOURCE_HIERARCHIES_DIR = path_1.default.join("store", "common", "hierarchies");
exports.JSON_SOURCE_PRICEBOOKS_DIR = path_1.default.join("store", "common", "pricebooks");
exports.JSON_SOURCE_VARIATIONS_DIR = path_1.default.join("store", "common", "variations");
exports.JSON_SOURCE_PRODUCT_DIR = path_1.default.join("product");
exports.JSON_SOURCE_NODE_DIR = path_1.default.join("node");
exports.JSON_SOURCE_PRICE_DIR = path_1.default.join("price");
exports.JSON_SOURCE_INVENTORY_DIR = path_1.default.join("inventory");
exports.JSON_SOURCE_PRODASSOC_DIR = path_1.default.join("prod-assoc");
exports.LOADER_SPEC_NODE = path_1.default.join(exports.BUILD_DIR, 'nodes.params.json');
exports.LOADER_SPEC_PRODUCT = path_1.default.join(exports.BUILD_DIR, 'products.params.json');
exports.LOADER_SPEC_PRICE = path_1.default.join(exports.BUILD_DIR, 'prices.params.json');
exports.LOADER_SPEC_INVENTORY = path_1.default.join(exports.BUILD_DIR, 'inventory.params.json');
exports.LOADER_SPEC_PRODASSOC = path_1.default.join(exports.BUILD_DIR, 'prod-assoc.params.json');
// have to add bin on the end to prevent AWS interpreting and then decompressing the file
exports.GZIP_AWS_COMPRESS_EXTENSION = ".jsonl.gz.bin";
exports.IMAGE_ASSOC_FILENAME = "image-assoc.json";
exports.IMAGE_ASSOC_JSONL_FILENAME = "image-assoc.jsonl";
exports.IMAGE_ASSOC_DIR = "image-assoc";
exports.IMAGE_DIR = "images";
exports.CONSTANTS = {
    BUILD_DIR: exports.BUILD_DIR,
    DATA_DIR: exports.DATA_DIR
};
