"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ImageAssociationLoader = void 0;
const constants_1 = require("../constants");
const path_1 = __importDefault(require("path"));
const constants_2 = require("../constants");
const loader_1 = require("../image-utilities/loader");
class ImageAssociationLoader {
    getGruntConfig() {
        return {
            http_image_assoc: {
                image_assoc_loader: {
                    src: path_1.default.join(constants_1.BUILD_DIR, constants_2.IMAGE_ASSOC_JSONL_FILENAME),
                },
            },
        };
    }
    registerTasks(grunt) {
        grunt.registerMultiTask("http_image_assoc", function () {
            imageAssociationLoader(grunt, this);
        });
    }
}
exports.ImageAssociationLoader = ImageAssociationLoader;
// eslint-disable-next-line @typescript-eslint/no-explicit-any
const imageAssociationLoader = function (grunt, grunt_this) {
    return __awaiter(this, void 0, void 0, function* () {
        const jsonlFile = grunt_this.data.src;
        console.log("upload image assoc jsonl file " + jsonlFile);
        const content = grunt.file.read(jsonlFile); // example way to get content
        const done = grunt_this.async();
        yield (0, loader_1.readFileAndLoad)(jsonlFile, "./", { imageImportConcurrency: 1, deleteExisting: true });
        done();
    });
};
