/// <reference types="grunt" />
import { EpccGruntFeature } from "../types";
export declare class ImageAssocation implements EpccGruntFeature {
    getGruntConfig(): {
        transform_image_assoc: {
            all: {
                image_assoc: string;
                images: string;
                dest_path: string;
                dest_name: string;
            };
        };
        json2jsonl: {
            convert_json_image_assoc_file_to_jsonl: {
                src: string[];
                dest: string;
                ext: string;
            };
        };
        concat: {
            image_assoc_json_files: {
                src: string[];
                dest: string;
                options: {
                    banner: string;
                    footer: string;
                    separator: string;
                    process: (src: string, _filepath: string) => string;
                };
            };
        };
    };
    registerTasks(grunt: IGrunt): void;
}
export declare const transformImageAssociations: (grunt: IGrunt, grunt_this: grunt.task.IMultiTask<any>) => Promise<void>;
export declare const processImageAssocation: (association: Record<string, any>) => any[];
