"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Replace = void 0;
const constants_1 = require("../constants");
const path_1 = __importDefault(require("path"));
const buildUrl = (fileName) => {
    return [process.env.AWS_Bucket_URL, process.env.AWS_Bucket_Folder, fileName + ".jsonl.gz.bin"].join('/');
};
class Replace {
    getGruntConfig() {
        return {
            replace: {
                loader_trigger_body: {
                    options: {
                        patterns: [
                            {
                                match: 'NODE_URL',
                                replacement: buildUrl('nodes'),
                            },
                            {
                                match: 'PRODUCTS_URL',
                                replacement: buildUrl('products'),
                            },
                            {
                                match: 'PRICES_URL',
                                replacement: buildUrl('prices'),
                            },
                            {
                                match: 'INVENTORY_URL',
                                replacement: buildUrl('inventory'),
                            },
                            {
                                match: 'PROD_ASSOC_URL',
                                replacement: buildUrl('prod-assoc'),
                            },
                        ],
                    },
                    files: [
                        {
                            expand: true,
                            flatten: true,
                            src: [path_1.default.join(constants_1.BUILD_DIR, '*.params.json')],
                            dest: path_1.default.join(constants_1.BUILD_DIR),
                        },
                    ],
                },
                store_config: {
                    options: {
                        patterns: [],
                    },
                    files: [
                        {
                            expand: true,
                            flatten: true,
                            src: [constants_1.STORE_CONFIG_SOURCE],
                            dest: path_1.default.join(constants_1.BUILD_DIR),
                        },
                    ],
                },
            },
        };
    }
    registerTasks(grunt) {
        grunt.loadNpmTasks('grunt-replace');
    }
}
exports.Replace = Replace;
