"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.overrideDefaultGateway = exports.gateway = void 0;
/* eslint-disable camelcase */
const sdk_1 = require("@moltin/sdk");
const custom_fetch_1 = __importDefault(require("./custom-fetch"));
if (!process.env.EPCC_CLIENT_ID || !process.env.EPCC_CLIENT_SECRET || !process.env.EPCC_API_DOMAIN) {
    throw new Error("Missing environment variable(s): EPCC_CLIENT_ID, EPCC_CLIENT_SECRET and EPCC_API_DOMAIN must be defined in process.env!");
}
custom_fetch_1.default.configure({
    epccClientThrottleLimit: String(process.env.EPCC_CLIENT_RATE_LIMIT) || "3",
    epccClientThrottleInterval: String(process.env.EPCC_CLIENT_THROTTLE_INTERVAL) || "125",
    epccClientKeepAlive: String(process.env.EPCC_CLIENT_CON_KEEP_ALIVE) || "true",
    epccClientHttpKeepAliveInterval: String(process.env.EPCC_CLIENT_CON_KEEP_ALIVE_INTERVAL) || "1000",
});
let defaultGateway = (0, sdk_1.gateway)({
    client_id: process.env.EPCC_CLIENT_ID,
    client_secret: process.env.EPCC_CLIENT_SECRET,
    host: process.env.EPCC_API_DOMAIN,
    custom_fetch: custom_fetch_1.default.throttleFetch,
    storage: new sdk_1.MemoryStorageFactory(),
});
exports.gateway = defaultGateway;
function overrideDefaultGateway(gateway) {
    exports.gateway = defaultGateway = gateway;
}
exports.overrideDefaultGateway = overrideDefaultGateway;
