import path from 'path';
if (!process.env.EPCC_ENV) {
    console.error("environment variable EPCC_ENV is not set!");
}
export const STORE_CONFIG = 'store.config.json';
export const BUILD_DIR = path.join('build', process.env.EPCC_ENV);
export const DATA_DIR = path.join('data', process.env.EPCC_ENV);
export const STORE_CONFIG_SOURCE = path.join(DATA_DIR, 'store', STORE_CONFIG);
export const CONFIG_INTEGRATION_DEST = path.join(BUILD_DIR, 'config_common_integrations.json');
export const CONFIG_CURRENCIES_DEST = path.join(BUILD_DIR, 'config_common_currencies.json');
export const CONFIG_CATALOGS_DEST = path.join(BUILD_DIR, 'config_common_catalogs.json');
export const CONFIG_CATALOG_RULES_DEST = path.join(BUILD_DIR, 'config_common_catalog_rules.json');
export const CONFIG_FLOWS_DEST = path.join(BUILD_DIR, 'config_common_flows.json');
export const CONFIG_FLOW_ENTRIES_DEST = path.join(BUILD_DIR, 'config_common_flow_entries.json');
export const CONFIG_HIERARCHIES_DEST = path.join(BUILD_DIR, 'config_common_hierarchies.json');
export const CONFIG_PRICEBOOKS_DEST = path.join(BUILD_DIR, 'config_common_pricebooks.json');
export const CONFIG_VARIATIONS_DEST = path.join(BUILD_DIR, 'config_common_variations.json');
export const CONFIG_PRODUCTS_DEST = path.join(BUILD_DIR, 'products.json');
export const CONFIG_NODES_DEST = path.join(BUILD_DIR, 'nodes.json');
export const CONFIG_PRICES_DEST = path.join(BUILD_DIR, 'prices.json');
export const CONFIG_INVENTORY_DEST = path.join(BUILD_DIR, 'inventory.json');
export const CONFIG_PRODASSOC_DEST = path.join(BUILD_DIR, 'prod-assoc.json');
export const CONFIG_IMAGEASSOC_DEST = path.join(BUILD_DIR, 'image-assoc.json');
export const CONFIG_DEST_FILE = path.join(BUILD_DIR, STORE_CONFIG);
export const CONFIG_MERGE_DIR = path.join(BUILD_DIR, 'merge');
export const CONFIG_MERGE_FILE = path.join(CONFIG_MERGE_DIR, STORE_CONFIG);
export const JSON_SOURCE_INTEGRATIONS_DIR = path.join("store", "common", "integrations");
export const JSON_SOURCE_CATALOGS_DIR = path.join("store", "common", "catalogs");
export const JSON_SOURCE_FLOWS_DIR = path.join("store", "common", "flows");
export const JSON_SOURCE_CATALOG_RULES_DIR = path.join("store", "common", "catalogRules");
export const JSON_SOURCE_FLOWENTRIES_DIR = path.join("store", "common", "flowEntries");
export const JSON_SOURCE_CURRENCIES_DIR = path.join("store", "common", "currencies");
export const JSON_SOURCE_HIERARCHIES_DIR = path.join("store", "common", "hierarchies");
export const JSON_SOURCE_PRICEBOOKS_DIR = path.join("store", "common", "pricebooks");
export const JSON_SOURCE_VARIATIONS_DIR = path.join("store", "common", "variations");
export const JSON_SOURCE_PRODUCT_DIR = path.join("product");
export const JSON_SOURCE_NODE_DIR = path.join("node");
export const JSON_SOURCE_PRICE_DIR = path.join("price");
export const JSON_SOURCE_INVENTORY_DIR = path.join("inventory");
export const JSON_SOURCE_PRODASSOC_DIR = path.join("prod-assoc");
export const LOADER_SPEC_NODE = path.join(BUILD_DIR, 'nodes.params.json');
export const LOADER_SPEC_PRODUCT = path.join(BUILD_DIR, 'products.params.json');
export const LOADER_SPEC_PRICE = path.join(BUILD_DIR, 'prices.params.json');
export const LOADER_SPEC_INVENTORY = path.join(BUILD_DIR, 'inventory.params.json');
export const LOADER_SPEC_PRODASSOC = path.join(BUILD_DIR, 'prod-assoc.params.json');
// have to add bin on the end to prevent AWS interpreting and then decompressing the file
export const GZIP_AWS_COMPRESS_EXTENSION = ".jsonl.gz.bin";
export const IMAGE_ASSOC_FILENAME = "image-assoc.json";
export const IMAGE_ASSOC_JSONL_FILENAME = "image-assoc.jsonl";
export const IMAGE_ASSOC_DIR = "image-assoc";
export const IMAGE_DIR = "images";
export const CONSTANTS = {
    BUILD_DIR,
    DATA_DIR
};
