import { CONFIG_CATALOGS_DEST, CONFIG_CURRENCIES_DEST, CONFIG_FLOWS_DEST, CONFIG_CATALOG_RULES_DEST, CONFIG_FLOW_ENTRIES_DEST, CONFIG_HIERARCHIES_DEST, CONFIG_INTEGRATION_DEST, CONFIG_MERGE_FILE, CONFIG_PRICEBOOKS_DEST, CONFIG_VARIATIONS_DEST, } from '../constants';
import fs from 'fs';
export class MergeStoreConfig {
    getGruntConfig() {
        return {
            mergeStoreConfig: {
                mergeAllSectionsIntoStoreConfigFile: {
                    config_src: CONFIG_MERGE_FILE,
                    config_dest: CONFIG_MERGE_FILE,
                    config_integrations: CONFIG_INTEGRATION_DEST,
                    config_flows: CONFIG_FLOWS_DEST,
                    config_catalog_rules_entries: CONFIG_CATALOG_RULES_DEST,
                    config_flow_entries: CONFIG_FLOW_ENTRIES_DEST,
                    config_hierarchies: CONFIG_HIERARCHIES_DEST,
                    config_pricebooks: CONFIG_PRICEBOOKS_DEST,
                    config_catalogs: CONFIG_CATALOGS_DEST,
                    config_variations: CONFIG_VARIATIONS_DEST,
                    config_currencies: CONFIG_CURRENCIES_DEST,
                },
            },
        };
    }
    registerTasks(grunt) {
        grunt.registerMultiTask('mergeStoreConfig', 'merge store config items', function () {
            mergeStoreConfig(grunt, this);
        });
    }
}
export const mergeConfigItems = function (grunt, config, sourcePath, field) {
    console.log(sourcePath);
    const items = (fs.existsSync(sourcePath)) ? grunt.file.readJSON(sourcePath) : [];
    config.common[field] = config.common[field].concat(items);
    return config;
};
export const mergeStoreConfig = function (grunt, grunt_this) {
    const dest = grunt_this.data.config_dest;
    const src = grunt_this.data.config_src;
    let config = grunt.file.readJSON(src);
    config = mergeConfigItems(grunt, config, grunt_this.data.config_integrations, 'integrations');
    config = mergeConfigItems(grunt, config, grunt_this.data.config_catalogs, 'catalogs');
    config = mergeConfigItems(grunt, config, grunt_this.data.config_currencies, 'currencies');
    config = mergeConfigItems(grunt, config, grunt_this.data.config_flows, 'flows');
    config = mergeConfigItems(grunt, config, grunt_this.data.config_hierarchies, 'hierarchies');
    config = mergeConfigItems(grunt, config, grunt_this.data.config_pricebooks, 'pricebooks');
    config = mergeConfigItems(grunt, config, grunt_this.data.config_variations, 'variations');
    config = mergeConfigItems(grunt, config, grunt_this.data.config_catalog_rules_entries, 'catalogRules');
    config = mergeConfigItems(grunt, config, grunt_this.data.config_flow_entries, 'flowEntries');
    grunt.file.write(dest, JSON.stringify(config, null, 2));
};
