import { BUILD_DIR, STORE_CONFIG_SOURCE } from '../constants';
import path from 'path';
const buildUrl = (fileName) => {
    return [process.env.AWS_Bucket_URL, process.env.AWS_Bucket_Folder, fileName + ".jsonl.gz.bin"].join('/');
};
export class Replace {
    getGruntConfig() {
        return {
            replace: {
                loader_trigger_body: {
                    options: {
                        patterns: [
                            {
                                match: 'NODE_URL',
                                replacement: buildUrl('nodes'),
                            },
                            {
                                match: 'PRODUCTS_URL',
                                replacement: buildUrl('products'),
                            },
                            {
                                match: 'PRICES_URL',
                                replacement: buildUrl('prices'),
                            },
                            {
                                match: 'INVENTORY_URL',
                                replacement: buildUrl('inventory'),
                            },
                            {
                                match: 'PROD_ASSOC_URL',
                                replacement: buildUrl('prod-assoc'),
                            },
                        ],
                    },
                    files: [
                        {
                            expand: true,
                            flatten: true,
                            src: [path.join(BUILD_DIR, '*.params.json')],
                            dest: path.join(BUILD_DIR),
                        },
                    ],
                },
                store_config: {
                    options: {
                        patterns: [],
                    },
                    files: [
                        {
                            expand: true,
                            flatten: true,
                            src: [STORE_CONFIG_SOURCE],
                            dest: path.join(BUILD_DIR),
                        },
                    ],
                },
            },
        };
    }
    registerTasks(grunt) {
        grunt.loadNpmTasks('grunt-replace');
    }
}
