import { AwsS3 } from './features/aws-s3';
import { Clean } from './features/clean';
import { Concat } from './features/concat';
import { Copy } from './features/copy';
import { CreateLoaderSpecs } from './features/create-loader-specs';
import { GUnZip } from './features/gunzip';
import { Compress } from './features/compress';
import { Http } from './features/http';
import { Json2JsonL } from './features/json2jsonl';
import { JsonL2Json } from './features/jsonl2json';
import { MergeStoreConfig } from './features/merge-store-config';
import { Replace } from './features/replace';
import { RegexReplace } from './features/regex-replace';
import { TaskWorkflows } from './features/task-workflows';
import { TypeScript } from './features/typescript';
import { ValidateEnv } from './features/validate-env';
import { ValidateImport } from './features/validate-import';
import { ImageAssocation } from './features/image-assoc';
import { ImageAssociationLoader } from './features/image-assoc-loader';
export function getOotbFeatures() {
    return [
        new TypeScript(),
        new Clean(),
        new Copy(),
        new Concat(),
        new Replace(),
        new RegexReplace(),
        new Json2JsonL(),
        new JsonL2Json(),
        new Compress(),
        new GUnZip(),
        new AwsS3(),
        new Http(),
        new ValidateEnv(),
        new MergeStoreConfig(),
        new ValidateImport(),
        new CreateLoaderSpecs(),
        new TaskWorkflows(),
        new ImageAssocation(),
        new ImageAssociationLoader(),
    ];
}
