/* eslint-disable camelcase */
import { gateway, MemoryStorageFactory } from "@moltin/sdk";
import customFetch from "./custom-fetch";
if (!process.env.EPCC_CLIENT_ID || !process.env.EPCC_CLIENT_SECRET || !process.env.EPCC_API_DOMAIN) {
    throw new Error("Missing environment variable(s): EPCC_CLIENT_ID, EPCC_CLIENT_SECRET and EPCC_API_DOMAIN must be defined in process.env!");
}
customFetch.configure({
    epccClientThrottleLimit: String(process.env.EPCC_CLIENT_RATE_LIMIT) || "3",
    epccClientThrottleInterval: String(process.env.EPCC_CLIENT_THROTTLE_INTERVAL) || "125",
    epccClientKeepAlive: String(process.env.EPCC_CLIENT_CON_KEEP_ALIVE) || "true",
    epccClientHttpKeepAliveInterval: String(process.env.EPCC_CLIENT_CON_KEEP_ALIVE_INTERVAL) || "1000",
});
let defaultGateway = gateway({
    client_id: process.env.EPCC_CLIENT_ID,
    client_secret: process.env.EPCC_CLIENT_SECRET,
    host: process.env.EPCC_API_DOMAIN,
    custom_fetch: customFetch.throttleFetch,
    storage: new MemoryStorageFactory(),
});
function overrideDefaultGateway(gateway) {
    defaultGateway = gateway;
}
export { defaultGateway as gateway, overrideDefaultGateway };
