// @ts-nocheck TypeScript does not like this file - it should probably be a CommonJS file.
const LEVELS = {
    off: 5,
    error: 4,
    warn: 3,
    info: 2,
    debug: 1,
};
const DEFAULT_LOG_LEVEL = LEVELS[process.env.DEFAULT_LOG_LEVEL] || LEVELS.warn;
let logger;
let currentLogLevel = DEFAULT_LOG_LEVEL;
function info(logMsg, ...data) {
    internalLog(logMsg, this.loggerName, "info", data);
}
function debug(logMsg, ...data) {
    internalLog(logMsg, this.loggerName, "debug", data);
}
function error(logMsg, ...data) {
    internalLog(logMsg, this.loggerName, "error", data);
}
function warn(logMsg, ...data) {
    internalLog(logMsg, this.loggerName, "warn", data);
}
function internalLog(logMsg, loggerName, level, data) {
    const moduleLogMsg = `[${loggerName}] ${logMsg}`;
    if (currentLogLevel <= LEVELS[level]) {
        if (logger)
            logger[level](moduleLogMsg, data);
        else
            console[level](moduleLogMsg, data);
    }
}
function getLogger(loggerName) {
    return { info, debug, error, warn, loggerName };
}
function configureLogging(loggerInc, level) {
    // eslint-disable-next-line no-eval
    if ((loggerInc === null || loggerInc === void 0 ? void 0 : loggerInc.info) === eval("info")) {
        logger = console;
    }
    else {
        logger = loggerInc;
    }
    if (level)
        currentLogLevel = LEVELS[level] || LEVELS.warn;
}
export default { getLogger, configureLogging };
